/* ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

	YMSB (common)
	Copyright YM 2022.

	Twitter @YmBlaze

■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■ */

// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	表示設定
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

const SB_MEMBER_BOX_OP				= 0.6;				// 団体戦メンバーの背景の透明度
const YMSB_MAX_PLAYER				=  18;				// 団体戦の最大人数
const YMSB_MAX_FIX_MEMBER			=   5;				// 団体戦枠の高さを固定にする人数
const YMSB_FIX_MEMBER_HEIGHT		= 100;				// ↑の場合の枠の高さ


// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	各テキスト設定
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
 
const SB_TXT_LOSERS					= " -L-";				// ルーザーズ表記
const SB_TXT_NEXT					= "NEXT\nBATTLE";		// 画面下部の次戦カード
const SB_TXT_OMIT					= "...";				// 文字列が長かった場合の省略文字

// ■■ 10先スコアの表記
const SB_TXT_FT10_W					= "★";					// 勝ち
const SB_TXT_FT10_L					= "-";					// 負け
const SB_TXT_FT10_D					= "Ｄ";					// ドロー

// ■■ スティンガーの設定
const SB_TXT_VS						= "VS";					// スティンガー中央の文字
const arrPrmTxtNextBattle 			= ["NEXT", "BATTLE"];	// 次戦カードを表示する際の文字
const SB_TXT_STINGER_NEXT_CENTER	= "GET READY FOR THE NEXT BATTLE";
															// [Show Next Battle]の中央の文字

// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	JSONファイル読み込み用パラメータ
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

let JSON_Remote						= YMSB_OFF;
let JSON_WebAPI						= "";
const JSON_FILE						= "streamcontrol/streamcontrol.json";
															// JSONファイルのファイルパス
const HANDLER_TIME					= 1000;					// ハンドラのコールバック周期（ミリ秒）


// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	各ファイル読み込み
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
const YMSB_COMMON_HTML				= "js/main/_common.txt";
async function getHtml() {
    const data = await fetch(YMSB_COMMON_HTML);
    const htmlData = await data.text();
	document.body.insertAdjacentHTML('beforeend', htmlData);
}
getHtml();

if (YMSB_DEBUG) {

document.write("<script src=\"js/" + YMSB_COMM + "cCSS.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cJSON.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cMain.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cAnime.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cImage.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cCheck.js\"></script> ");

document.write("<script src=\"js/" + YMSB_COMM + "cSkinFontCheck.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cStageCheck.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cEventCheck.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cTeamNameCheck.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cScoreCheck.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cBottom.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cFT10.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cNowCheck.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cLogoCheck.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cMember.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cMemberCheck.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cSideCheck.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cStingerCheck.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "cState.js\"></script> ");
document.write("<script src=\"js/" + YMSB_COMM + "scWinAnime.js\"></script> ");

}
else {
	const scriptMain = document.createElement('script');
	scriptMain.src ="js/" + YMSB_COMM + "sMain.min.js";
	scriptMain.type = "text/javascript";
	document.body.appendChild(scriptMain);
}
